Subject: Re: bug#55832: 28.1; Emacs crashes when using tramp from helm in emacs-29

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Jun 2022 19:08:31 +0300

> From: Thierry Volpiatto <[email-masked]>
> Date: Tue, 07 Jun 2022 15:16:36 +0000
> 
> 
> I can't reproduce from emacs -Q using M-x find-file, but the bug happens
> with Helm when using M-x helm-find-files /sudo::
> Emacs freeze and then in gdb:
> 
>     Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
>     0x0000555555837be7 in doprnt.part ()
> 
> In all previous emacs this worked normally, working fine here in
> emacs-28.1.
> This is a followup of bug #55555.
> 
> I can send more infos from gdb if you give me instructions, I tried bt
> but the output is huge.

The first step is to figure out what was the immediate reason for the
segfault, and in which source line it happened.

Your build is heavily optimized, so I suggest to rebuild with the
following additional compiler options:

   -gdwarf-4 -g3

Then run Emacs under GDB, and when it crashes, type

  (gdb) thread 1
  (gdb) bt -full 5

and post the results.